Generated SLD - First generated graduated rule should to PropertyIsGreaterThanOrEqualTo not 

PropertyIsGreaterThan

2016-07-04 03:10 AM - Conor Woods

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23150

Description

Hi,

I am using the Vector export to SLD feature in QGis (2.15). 

I am using a graduated spectral range (quantile, equal count) to describe the layer.

The layer contains 0 [zero] values which should be styled, however the SLD being generated includes, as its 1st rule,

PropertyIsGreaterThan 0 (see rule below). This rule should be PropertyIsGreaterThanOrEqualTo. 

This means that any 0 value will be unstyled in the layer e.g. when the SLD is used in GeoServer.

Kind regards,

Conor

 <NamedLayer>

    <se:Name>short_temperature_tr_MMM_2011_2040_clim any</se:Name>

    <UserStyle>

      <se:Name>short_temperature_tr_MMM_2011_2040_clim any</se:Name>

      <se:FeatureTypeStyle>

        <se:Rule>

          <se:Name> 0.0000 - 4.0000 </se:Name>

          <se:Description>

            <se:Title> 0.0000 - 4.0000 </se:Title>

          </se:Description>

          <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

            <ogc:And>

              <ogc:PropertyIsGreaterThan>

                <ogc:PropertyName>DN</ogc:PropertyName>

                <ogc:Literal>0</ogc:Literal>

              </ogc:PropertyIsGreaterThanOrEqualTo>

              <ogc:PropertyIsLessThanOrEqualTo>

                <ogc:PropertyName>DN</ogc:PropertyName>

                <ogc:Literal>4</ogc:Literal>

              </ogc:PropertyIsLessThan>

            </ogc:And>

          </ogc:Filter>

          <se:PolygonSymbolizer>

            <se:Fill>

              <se:SvgParameter name="fill">#2b83ba</se:SvgParameter>

            </se:Fill>
          </se:PolygonSymbolizer>

        </se:Rule>

Associated revisions

Revision 5c270ebe - 2016-07-05 01:56 AM - Nyall Dawson

Fix first range when exporting graduated renderer to sld (fix #15212)

Revision 8a28f9b7 - 2016-10-01 03:49 PM - Nyall Dawson

Fix first range when exporting graduated renderer to sld (fix #15212)

History

#1 - 2016-07-04 04:57 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"5c270ebeb0aaaaaf03c24e7d2379c89ebee7b895".
